javax.media.j3d

## Class CapabilityNotSetException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - javax.media.j3d.RestrictedAccessException
        - - javax.media.j3d.CapabilityNotSetException

All Implemented Interfaces:
  java.io.Serializable

    public class CapabilityNotSetException
    extends RestrictedAccessException

Indicates an access to a live or compiled Scene Graph object without the required capability set.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`CapabilityNotSetException()` Create the exception object with default values.
`CapabilityNotSetException(java.lang.String str)` Create the exception object that outputs message.

### Method Summary

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CapabilityNotSetException

    public CapabilityNotSetException()

Create the exception object with default values.

#### CapabilityNotSetException

    public CapabilityNotSetException(java.lang.String str)

Create the exception object that outputs message.

Parameters:
  `str` - the message string to be output.